Arbor 3: FSM & BT Graph Editor 3.7.5

Public Member Functions | Properties | List of all members
IOutputSlot Interface Reference

Interface of output DataSlot. More...

Inheritance diagram for IOutputSlot:

## Public Member Functions
void | AddBranch (DataBranch branch)
| Addition of DataBranch. More...
bool | RemoveBranch (DataBranch branch)
| Remove DataBranch. More...
bool | RemoveBranchAt (int index)
| Remove DataBranch. More...
DataBranch | GetBranch (int index)
| Get DataBranch. More...
bool | IsConnected (DataBranch branch)
| It judges whether it is connected with DataBranch. More...
Public Member Functions inherited from IDataSlot
void | Disconnect ()
| Disconnect the connection. More...

## Properties
int | branchCount`[get]`
| Get count of DataBranch. More...
Properties inherited from IDataSlot
SlotType | slotType`[get]`
| Slot type More...
System.Type | dataType`[get]`
| The type of data stored in the slot More...

## Detailed Description

Interface of output DataSlot.

## Member Function Documentation

## ◆ AddBranch()

void AddBranch | ( | DataBranch | branch | ) |

Addition of DataBranch.

Parameters

  branch | DataBranch

Implemented in OutputSlotBase.

## ◆ GetBranch()

DataBranch GetBranch | ( | int | index | ) |

Get DataBranch.

Parameters

  index | Index

Returns
  DataBranch

Implemented in OutputSlotBase.

## ◆ IsConnected()

bool IsConnected | ( | DataBranch | branch | ) |

It judges whether it is connected with DataBranch.

Parameters

  branch | DataBranch

Returns
  True if connected, false otherwise.

Implemented in OutputSlotBase.

## ◆ RemoveBranch()

bool RemoveBranch | ( | DataBranch | branch | ) |

Remove DataBranch.

Parameters

  branch | DataBranch

Implemented in OutputSlotBase.

## ◆ RemoveBranchAt()

bool RemoveBranchAt | ( | int | index | ) |

Remove DataBranch.

Parameters

  index | Index

Implemented in OutputSlotBase.

## Property Documentation

## ◆ branchCount

int branchCount
| get

Get count of DataBranch.

Returns
  Count of DataBranch